Installation correcte des outils linux Kali dans Ubuntu 16.04 LTS

27

Je pense que tout le monde a connu - nous devons installer katoolin pour utiliser les outils Linux de Kali sur Ubuntu. Avant de faire quoi que ce soit, j'avais parcouru Internet et découvert ces solutions: Puis-je installer les outils Kali sur Ubuntu , Comment installer tout automatiquement Kali Linux

Voici donc mes étapes:

apt-get install git
git clone https://github.com/LionSec/katoolin.git && cp katoolin/katoolin.py /usr/bin/katoolin
chmod +x  /usr/bin/katoolin
sudo katoolin

Ensuite, pour ajouter les référentiels Kali Linux et les mettre à jour, j'ai sélectionné l’option 1 dans le menu katoolin

Ensuite, pour afficher les catégories disponibles et installer tous les outils disponibles, j'ai sélectionné l'option 2 dans le menu principal de katoolin , puis j'ai appuyé sur 0.

Mais après ça, j'ai eu ceci:

En outre, j'ai reçu une erreur dans Software Updater - cela ne m'a pas permis de faire quoi que ce soit. Ubuntu vient de raccrocher. J'ai résolu ce problème en supprimant les référentiels linux kali dans katoolin puis dans Software Updater.

Est-ce que quelqu'un sait comment installer correctement les outils Linux Kali dans Ubuntu 16.04?

    
posée fuser 14.05.2016 - 23:25
la source

4 réponses

17

Introduction

Katoolin est un ensemble de scripts permettant d’automatiser l’installation des outils linux Kali sur différentes plates-formes autres que Kali linux, et d’installer les outils linux Kali avec Katoolin dans d’autres systèmes ou sous-systèmes Windows. Kali Linux. Kali Linux tire son nom de la déesse de la destruction hindoue, ce qui devrait donner à l’utilisateur une indication que même Kali Linux lui-même est risqué et difficile à gérer, en particulier pour les nouveaux utilisateurs.

Katoolin tire ses outils de diverses sources, dont apt et GitHub. Katoolin ne sait rien de la plate-forme sur laquelle elle s'exécute. La manière la plus sûre d'utiliser Katoolin est donc d'installer chaque outil de la même manière, en vérifiant à chaque fois si cet outil est inclus dans Ubuntu par défaut. référentiels et si oui l'installer de cette façon à la place. Lorsque l'installation est terminée, les sources de logiciels ajoutées par Katoolin doivent être immédiatement désactivées afin d'empêcher Katoolin de remplacer les packages installés à partir des référentiels Ubuntu par défaut avec ses propres packages mis à jour chaque fois que le logiciel Ubuntu est mis à jour.

Installation des outils linux de Kali

(Re) installer Katoolin comme suit:

  1. Ouvrez le terminal et tapez:

    sudo apt install git  
    git clone https://github.com/LionSec/katoolin.git && sudo cp katoolin/katoolin.py /usr/bin/katoolin  
    
  2. Rendre /usr/bin/katoolin exécutable.

    sudo chmod +x /usr/bin/katoolin  
    
  3. Exécutez Katoolin comme suit et vous verrez l'interface Katoolin:

    sudo katoolin   
    


    Afficher les catégories de logiciels disponibles dans l'interface katoolin

  

Appuyez sur 0 pour installer tous les outils linux Kali.

     

Lorsque vous accédez à Afficher les catégories , puis entrez 0 pour tout, l’installateur retourne immédiatement à l’endroit où vous vous trouviez. Faites défiler vers le haut et vous verrez qu'un certain nombre de paquets ne peuvent pas être trouvés. Ces paquets ne sont plus maintenus ou ont été supprimés des dépôts Kali. Même avec ce problème, vous trouverez toujours beaucoup de logiciels Kali disponibles pour l’installation.

     

La meilleure option consiste donc à installer les outils Linux Kali en plusieurs étapes distinctes. Tout comme si vous souhaitiez installer des outils de criminalistique sur votre système, choisissez son option dans la catégorie, puis tapez 0 pour installer tous les outils de criminalistique. Si cela ne fonctionne toujours pas, vous devez alors installer tous les outils légaux pouvant être installés à la fois.

     

C'est pourquoi l'interface Katoolin se bloque parfois lorsque vous essayez d'installer tous les outils Linux de Kali à la fois. Attendez que le serveur réponde à une demande de package non disponible et multipliez-le par le nombre d'outils linux Kali indisponibles dans les référentiels Katoolin.

     

     

Si vous souhaitez revenir au menu principal, tapez gohome dans votre interface katoolin. Sélectionnez maintenant l'option 3 ou 4 pour installer soit l'indicateur de menu classique, soit le menu Kali. Appuyez sur la touche y pour continuer, puis appuyez sur Enter pour lancer l’installation.

     

Une fois que vous avez terminé l'installation des outils Kali avec katoolin, vous pouvez quitter en appuyant sur la combinaison du clavier Ctrl + C pour voir le message de fin.

     

shutdown requested....Goodbye...

Crédit pour le bloc de texte ci-dessus va à Kashif à Comment installer Outils Kali Linux sur Ubuntu 16 et CentOS 7 avec mes ajouts en italique.

Avertissement sur les mises à jour après l’installation des outils linux de Kali

La page Web LionSec Katoolin GitHub avertit clairement les utilisateurs de Katoolin de faire attention lors de la mise à jour du logiciel.

  

Avant de mettre à jour votre système, veuillez supprimer tous les référentiels Kali-linux pour éviter tout problème.

    
réponse donnée karel 20.09.2016 - 10:45
la source
2

Après avoir utilisé katoolin et ajouté les référentiels, vous pouvez exécuter sudo apt-get update , mais n'utilisez pas apt-get upgrade si vous le faites, votre gnome et votre bureau ne pourront pas démarrer.

Dans katoolin:

  1. Ajouter des référentiels kali & amp; Mise à jour

  2. Mettez à jour votre apt-get par katoolin ou votre terminal

Installez tous les outils souhaités, puis nettoyez-les en supprimant les kali repos de vos sources.list et apt-key .

Si une erreur survient, elle provient du sources.list , ce qui signifie que le package ou l'outil n'est pas conçu / disponible pour votre architecture Linux ou que katoolin lui-même doit être mis à jour, car les référentiels ont été modifiés par le propriétaire. p>

Conseils:

  1. Restez en contact avec les développeurs de katoolin.

  2. Installer aptitude :

    sudo apt-get install aptitude
    

    puis effectuez une recherche sur les exigences des candidats du package, par exemple:

    aptitude search "?provides(wine)"
    

    en savoir plus sur aptitude : Qu'est-ce que la différence entre dpkg et aptitude / apt-get?

  3. Découvrez la différence entre unable to locate package & amp; no candidates : Que fait Package & lt; package & gt; n'a pas de candidat pour l'installation?

Il existe une solution étape par étape qui évite les plantages ici: Puis-je installer les outils Kali sur Ubuntu?

    
réponse donnée Ahmed Al-attar 20.09.2016 - 10:11
la source
0

Dans Ubuntu 16: éditez le fichier /usr/bin/katoolin et supprimez toutes les références pour les deux packages: dff et webshag et sauvegardez le fichier.

Exécutez à nouveau katoolin - choisissez 1 puis 2 pour mettre à jour - après cela tapez back et choisissez 2 , puis tapez 0 .

Pour moi, il y avait toujours une erreur pour usb-modeswitch pour la version 2.2.5+repack0-1ubuntu1 , alors j'ai installé en utilisant ce paquet de ubuntuupdates.org

Ensuite, j'ai exécuté katoolin à nouveau - choisissez 1 puis 2 pour mettre à jour - après ce type back et choisissez 2 puis 0 pour commencer l'installation.

    
réponse donnée user564247 03.07.2016 - 19:46
la source
-2

J'ai fait face à la même chose Modifiez le fichier /usr/bin/katoolin (par exemple, utilisez sudo -H gedit usr/bin/katoolin ) et supprimez ces deux packages, recherchez simplement le texte dff et webshag . Supprimez également ces deux commandes apt-get .

    
réponse donnée Marek Chmel 25.05.2016 - 20:04
la source

Lire d'autres questions sur les étiquettes